Name:		grub2-theme-uplos
Version:	1.00
Release:	%mkrel 1
Summary:	Boot-loader with support for Linux, Multiboot and more
Group:		System/Boot and Init
License:	GPLv3+ and GPLv2
URL:		http://ftp.nluug.nl/os/Linux/distr/uplos/srpms/SRPMS.uplos/
Source0:	grub2-theme-uplos-%{version}.tar.xz
Source1:	unicode.pf2
Requires:	grub2bootloader
BuildArch:	noarch

%description
This package provides a custom Mageia graphical theme.
It is provided as a separate package so it may be easily excluded from
minimal installations where a graphical theme is not required.

%prep
%setup -q

%build
#no build


%install
rm -rf %buildroot

# Font
install -d %{buildroot}/boot/grub2/fonts
install -D %{SOURCE1} %{buildroot}/boot/grub2/fonts

# Theme
install -d %{buildroot}/boot/grub2/themes/uplos
cp -r * %{buildroot}/boot/grub2/themes/

%post
# Don't install if updating
if [ $1 -eq 1 ] ; then
# Remove trailing blank lines from /etc/default/grub
sed -i -e :a -e '/^\n*$/{$d;N;};/\n$/ba' %{_sysconfdir}/default/grub
# Check that /etc/default/grub ends in a linefeed
[ "$(tail -n 1 %{_sysconfdir}/default/grub | wc --lines)" = "1" ] || echo >> %{_sysconfdir}/default/grub
# Add theme
echo "GRUB_THEME=/boot/grub2/themes/uplos/theme.txt" >> %{_sysconfdir}/default/grub
fi

%postun
exec > /var/log/grub2_theme_postun.log 2>&1
# Only if uninstalling theme
if [ $1 -eq 0 ]; then
# Remove theme from config
sed -i '/GRUB_THEME=\/boot\/grub2\/themes\/uplos\/theme.txt/d' %{_sysconfdir}/default/grub
fi

%files
%defattr(-,root,root,-)
/boot/grub2/fonts/unicode.pf2
%dir /boot/grub2/themes/uplos
/boot/grub2/themes/uplos


%changelog
* Tue Nov 08 2016 adrianomorselli <adrianomorselli> 1.0.0-1uplos2016
- create
